* [gentoo-commits] repo/proj/guru:dev commit in: x11-libs/qwt5-qt5/
2020-11-08 12:19 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2020-11-08 12:19 ` Andrew Ammerlaan
0 siblings, 0 replies; 3+ messages in thread
From: Andrew Ammerlaan @ 2020-11-08 12:19 UTC (permalink / raw
To: gentoo-commits
commit: d6ce5bdf701182e81187e835c8e287774fa7a9d6
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Nov 8 12:14:58 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Nov 8 12:14:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d6ce5bdf
x11-libs/qwt5-qt5: qt5 port of qwt-5
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
x11-libs/qwt5-qt5/Manifest | 1 +
x11-libs/qwt5-qt5/metadata.xml | 18 +++++
x11-libs/qwt5-qt5/qwt5-qt5-5.2.3_p20200902.ebuild | 88 +++++++++++++++++++++++
3 files changed, 107 insertions(+)
diff --git a/x11-libs/qwt5-qt5/Manifest b/x11-libs/qwt5-qt5/Manifest
new file mode 100644
index 00000000..643566d2
--- /dev/null
+++ b/x11-libs/qwt5-qt5/Manifest
@@ -0,0 +1 @@
+DIST qwt5-qt5-5.2.3_p20200902.tar.gz 2317623 BLAKE2B 5ac4333b01eac3a0b8b2f291804408679b8173ff624932d94e85a6789ad7f966417f80acba8c8d993465703e256c9ac7c675971cffac40d5f3b2becf0e7e7460 SHA512 1980f7e21684dba36c192a08e1a3bce719dcd7b1e700ce5f8a27821af83a65fe518d078888d6ad3733d3cde1c2af40cd694537ce0193d622d7f0b3bcee1ed55e
diff --git a/x11-libs/qwt5-qt5/metadata.xml b/x11-libs/qwt5-qt5/metadata.xml
new file mode 100644
index 00000000..f793a4b2
--- /dev/null
+++ b/x11-libs/qwt5-qt5/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ The Qwt library contains GUI Components and utility classes which are
+ primarily useful for programs with a technical background.
+ Besides a 2D plot widget it provides scales, sliders, dials,
+ compasses, thermometers, wheels and knobs to control or display
+ values, arrays or ranges of type double.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">qwt</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-libs/qwt5-qt5/qwt5-qt5-5.2.3_p20200902.ebuild b/x11-libs/qwt5-qt5/qwt5-qt5-5.2.3_p20200902.ebuild
new file mode 100644
index 00000000..a489c2d8
--- /dev/null
+++ b/x11-libs/qwt5-qt5/qwt5-qt5-5.2.3_p20200902.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+COMMIT="0052f96fdd6d5f021f20a1cfc4d2fcfc605941da"
+
+DESCRIPTION="2D plotting library for Qt5"
+HOMEPAGE="https://qwt.sourceforge.io/ https://github.com/gbm19/qwt5-qt5"
+SRC_URI="https://github.com/gbm19/qwt5-qt5/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="qwt"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+SLOT="5"
+IUSE="doc examples svg"
+
+RDEPEND="
+ dev-qt/designer:5
+ dev-qt/qtgui:5
+ svg? ( dev-qt/qtsvg:5 )
+"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+DOCS=( CHANGES README )
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_prepare() {
+ default
+ sed -e "/QwtVersion/s:5.2.2.:${PV}:g" -i qwt.prf || die
+
+ cat > qwtconfig.pri <<-EOF
+ target.path = "${EPREFIX}/usr/$(get_libdir)"
+ headers.path = "${EPREFIX}/usr/include/qwt5"
+ doc.path = "${EPREFIX}/usr/share/doc/${PF}"
+ CONFIG += qt warn_on thread release
+ CONFIG += QwtDll QwtPlot QwtWidgets QwtDesigner
+ VERSION = ${PV}
+ QWT_VERSION = ${PV/_*}
+ QWT_INSTALL_PLUGINS = "${EPREFIX}/usr/$(get_libdir)/qt5/plugins/designer"
+ QWT_INSTALL_FEATURES = "${EPREFIX}/usr/share/qt5/mkspecs/features"
+ EOF
+ sed -i -e 's/headers doc/headers/' src/src.pro || die
+ use svg && echo >> qwtconfig.pri "CONFIG += QwtSVGItem"
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_compile() {
+ default
+ if use doc ; then
+ cd doc || die
+ doxygen Doxyfile || die "doxygen failed"
+ HTML_DOCS="doc/html"
+ fi
+}
+
+src_install () {
+ emake INSTALL_ROOT="${D}" install
+ einstalldocs
+ doman doc/man/*/*
+
+ if use examples; then
+ # don't build examples - fix the qt files to build once installed
+ cat > examples/examples.pri <<-EOF
+ include( qwtconfig.pri )
+ TEMPLATE = app
+ MOC_DIR = moc
+ INCLUDEPATH += "${EPREFIX}/usr/include/qwt5"
+ DEPENDPATH += "${EPREFIX}/usr/include/qwt5"
+ LIBS += -lqwt
+ EOF
+ sed -i -e 's:../qwtconfig:qwtconfig:' examples/examples.pro || die
+ cp *.pri examples/ || die
+ insinto /usr/share/qwt5
+ doins -r examples
+ fi
+
+ # avoid file conflict with qwt:6
+ # https://github.com/gbm19/qwt5-qt5/issues/2
+ pushd "${ED}/usr/share/man/man3/"
+ for f in *; do mv ${f} ${f//.3/.5qt5.3}; done
+ popd
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: x11-libs/qwt5-qt5/
2020-11-08 16:12 [gentoo-commits] repo/proj/guru:master commit in: x11-libs/qwt5-qt5/ Andrew Ammerlaan
@ 2020-11-08 16:12 ` Andrew Ammerlaan
0 siblings, 0 replies; 3+ messages in thread
From: Andrew Ammerlaan @ 2020-11-08 16:12 UTC (permalink / raw
To: gentoo-commits
commit: c40676a6e5f799fb04d53697fb2d24d7f65fff87
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Nov 8 16:10:33 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Nov 8 16:11:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c40676a6
x11-libs/qwt5-qt5: fix metadata
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
x11-libs/qwt5-qt5/metadata.xml | 28 ++++++++++++++--------------
1 file changed, 14 insertions(+), 14 deletions(-)
diff --git a/x11-libs/qwt5-qt5/metadata.xml b/x11-libs/qwt5-qt5/metadata.xml
index f793a4b2..1306bd77 100644
--- a/x11-libs/qwt5-qt5/metadata.xml
+++ b/x11-libs/qwt5-qt5/metadata.xml
@@ -1,18 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <name>Gentoo Science Project</name>
- </maintainer>
- <longdescription lang="en">
- The Qwt library contains GUI Components and utility classes which are
- primarily useful for programs with a technical background.
- Besides a 2D plot widget it provides scales, sliders, dials,
- compasses, thermometers, wheels and knobs to control or display
- values, arrays or ranges of type double.
-</longdescription>
- <upstream>
- <remote-id type="sourceforge">qwt</remote-id>
- </upstream>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <longdescription lang="en">
+ The Qwt library contains GUI Components and utility classes which are
+ primarily useful for programs with a technical background.
+ Besides a 2D plot widget it provides scales, sliders, dials,
+ compasses, thermometers, wheels and knobs to control or display
+ values, arrays or ranges of type double.
+ </longdescription>
+ <upstream>
+ <remote-id type="sourceforge">qwt</remote-id>
+ </upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: x11-libs/qwt5-qt5/
@ 2020-11-08 16:12 Andrew Ammerlaan
2020-11-08 16:12 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
0 siblings, 1 reply; 3+ messages in thread
From: Andrew Ammerlaan @ 2020-11-08 16:12 UTC (permalink / raw
To: gentoo-commits
commit: c40676a6e5f799fb04d53697fb2d24d7f65fff87
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Nov 8 16:10:33 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Nov 8 16:11:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c40676a6
x11-libs/qwt5-qt5: fix metadata
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
x11-libs/qwt5-qt5/metadata.xml | 28 ++++++++++++++--------------
1 file changed, 14 insertions(+), 14 deletions(-)
diff --git a/x11-libs/qwt5-qt5/metadata.xml b/x11-libs/qwt5-qt5/metadata.xml
index f793a4b2..1306bd77 100644
--- a/x11-libs/qwt5-qt5/metadata.xml
+++ b/x11-libs/qwt5-qt5/metadata.xml
@@ -1,18 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <name>Gentoo Science Project</name>
- </maintainer>
- <longdescription lang="en">
- The Qwt library contains GUI Components and utility classes which are
- primarily useful for programs with a technical background.
- Besides a 2D plot widget it provides scales, sliders, dials,
- compasses, thermometers, wheels and knobs to control or display
- values, arrays or ranges of type double.
-</longdescription>
- <upstream>
- <remote-id type="sourceforge">qwt</remote-id>
- </upstream>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <longdescription lang="en">
+ The Qwt library contains GUI Components and utility classes which are
+ primarily useful for programs with a technical background.
+ Besides a 2D plot widget it provides scales, sliders, dials,
+ compasses, thermometers, wheels and knobs to control or display
+ values, arrays or ranges of type double.
+ </longdescription>
+ <upstream>
+ <remote-id type="sourceforge">qwt</remote-id>
+ </upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2020-11-08 16:12 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-11-08 16:12 [gentoo-commits] repo/proj/guru:master commit in: x11-libs/qwt5-qt5/ Andrew Ammerlaan
2020-11-08 16:12 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
-- strict thread matches above, loose matches on Subject: below --
2020-11-08 12:19 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-11-08 12:19 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox